<?php

namespace v1\models;

use app\models\Servicio as ModeloMediaVehiculo;
use app\models\Vehiculo;
class MediaVehiculo extends ModeloMediaVehiculo {

    public function fields() {
        return [
            'id',
            'idMedia',
            'idVehiculo',
            'tipo',
            'creado',
            'modificado',
        ];
    }

    public function extraFields() {
        return [
            'media',
            'vehiculo',
        ];
    }

    public function getMedia()
    {
        return $this->hasOne(Media::class, ['id' => 'idMedia']);
    }

    public function getVehiculo()
    {
        return $this->hasOne(Vehiculo::class, ['id' => 'idVehiculo']);
    }
}
